Summary: A Hebrew spell checker
Name: hspell
Version: 1.1
Release: 3.2%{?dist}
URL: http://hspell.ivrix.org.il
Source: http://hspell.ivrix.org.il/hspell-%{version}.tar.gz
License: GPLv2
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel hunspell-devel
Patch0: hspell-1.0.sharedlib.patch

%description
Hspell is a Hebrew SPELLer and morphological analyzer. It provides a mostly
spell-like interface (gives the list of wrong words in the input text), but can
also suggest corrections (-c). It also provides a true morphological analyzer
(-l), that prints all known meanings of a Hebrew string.

%description -l he
Hspell הוא מאיית ומנתח צורני עברי, המספק מנשק דמוי-spell - פולט רשימה של המילים
השגויות המופיעות בקלט. Hspell מקפיד מאוד כללי האקדמיה העברית לכתיב חסר ניקוד
("כתיב מלא").  כמו כן, Hspell מספק (-l) מנתח מורפולוגי אשר מדפיס את כל
המשמעויות האפשריות של מחרוזת אותיות עברית.

%package devel
Summary: Library and include files for Hspell, the hebrew spell checker
Group: Applications/Text
Requires: %{name} = %{version}-%{release}

%description devel
Library and include files for applications that want to use Hspell.

%description -l he devel
ספרייה וקובצי כותרת עבור יישומים שרוצים להשתמש ב-Hspell.

%package -n hunspell-he
Summary: Hebrew hunspell dictionaries
Group: Applications/Text
Requires: hunspell

%description -n hunspell-he
Hebrew hunspell dictionaries.

%description -n hunspell-he -l he
מילון איות עברי עבור הוּנְסְפֶּל.

%prep
%setup -q
%patch0 -p1 -b .sharedlib.patch
/usr/bin/iconv -f hebrew -t utf8 -o WHATSNEW WHATSNEW

%build
%configure --enable-fatverb --enable-linginfo
make CFLAGS="$RPM_OPT_FLAGS" STRIP=:

make hunspell
cat >> hunspell/new_he.aff << EOF
MAP 10
MAP ךכח
MAP םמ
MAP ןנ
MAP ףפ
MAP ץצ
MAP כק
MAP אע # for English
MAP גה # for Russian
MAP צס # for Arabic
MAP חכר # for French
EOF

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f $RPM_BUILD_ROOT/%{_libdir}/libhspell.a

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/myspell
cp -p hunspell/new_he.dic $RPM_BUILD_ROOT/%{_datadir}/myspell/he_IL.dic
cp -p hunspell/new_he.aff $RPM_BUILD_ROOT/%{_datadir}/myspell/he_IL.aff

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README WHATSNEW COPYING
%{_bindir}/hspell
%{_bindir}/hspell-i
%{_bindir}/multispell
%{_libdir}/libhspell.so.0
%{_mandir}/man1/hspell.1*
%{_datadir}/hspell/

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libhspell.so
%{_mandir}/man3/hspell.3*

%files -n hunspell-he
%defattr(-,root,root,-)
%doc LICENSE
%{_datadir}/myspell/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%changelog

